%global project felix
%global bundle org.apache.felix.fileinstall
Name:          felix-fileinstall
Version:       3.4.0
Release:       3%{?dist}
Summary:       A utility to automatically install bundles from a directory
License:       ASL 2.0
URL:           http://felix.apache.org/site/apache-felix-file-install.html
Source0:       http://www.apache.org/dist/felix/%{bundle}-%{version}-source-release.zip
Patch0:        felix-fileinstall-3.4.0-FileInstall.patch

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: mvn(org.apache.felix:felix-parent:pom:)
BuildRequires: mvn(org.apache.felix:org.apache.felix.configadmin)
BuildRequires: mvn(org.apache.felix:org.apache.felix.framework)
BuildRequires: mvn(org.apache.felix:org.apache.felix.utils)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.osgi:org.osgi.compendium)
BuildRequires: mvn(org.osgi:org.osgi.core)
BuildArch:     noarch

%description
File Install is a directory based OSGi management agent. It
uses a directory in the file system to install and
start a bundle when it is first placed there. It updates the
bundle when you update the bundle file in the directory and,
when the file is deleted, it will stop and uninstall the bundle.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
# cleanup
find -name "*.jar" -delete
find -name "*.class" -delete

%patch0 -p0

# Unwanted
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin org.codehaus.mojo:rat-maven-plugin

# disable embedded org.apache.felix.configadmin and org.apache.felix.utils copy
%pom_remove_plugin :maven-shade-plugin

%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-bundle-plugin']/pom:configuration/pom:instructions/pom:Embed-Dependency"
%pom_xpath_set "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-bundle-plugin']/pom:configuration/pom:instructions/pom:Private-Package" "org.apache.felix.fileinstall.internal,"

sed -i 's|${pom.artifactId}|${project.artifactId}|' pom.xml

# package org.osgi.framework.wiring does not exist
%pom_add_dep org.apache.felix:org.apache.felix.framework::provided

%mvn_file :%{bundle} %{project}/%{bundle}

%build

(
 cd src/test/resources/watched
# empty JAR files used only for testing
 mkdir temp
 (
  cd temp
  %jar -cMf ../firstjar.jar .
  %jar -cMf ../secondjar.jar .
 )
 rm -r temp
)

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE 
%doc doc/changelog.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 3.4.0-3
- remove and regenerate (empty) Jar files in source

* Wed Jan 28 2015 gil cattaneo <puntogil@libero.it> 3.4.0-2
- add missing BR org.apache.felix.framework
- remove not needed BR maven-surefire-provider-junit
- use %%license macro
- fix maven-bundle-plugin settings

* Tue Jan 27 2015 gil cattaneo <puntogil@libero.it> 3.4.0-1
- update to 3.4.0

* Mon Jun 24 2013 gil cattaneo <puntogil@libero.it> 3.2.6-1
- update to 3.2.6

* Fri Sep 07 2012 gil cattaneo <puntogil@libero.it> 3.2.0-1
- initial rpm
